<div class="controllers" style="width: 90%;margin: auto;">
    <!-- AD_HOC and WEB_TRK -->
    <h1 style="text-align: center;width: 100%;">Producer Multiviewer  {{playerType}}</h1>
    <div style="width: 80%; height: 80vh;" id="player-embed">
       
        <span *ngIf="playerType == 'obs'; else hls">
            <iframe style="width: 100%; height: 100%;" src="http://10.40.20.203:8080/guacamole/#/client/NzUAYwBteXNxbA==" frameborder="0" allowfullscreen="true" scrolling="no"></iframe>
        </span>

        <ng-template #hls>
            <iframe style="width: 100%; height: 100%;" src="http://10.40.20.19/" frameborder="0" allowfullscreen="true" scrolling="no"></iframe>
        </ng-template>
        <div *ngFor="let type of types">
            <label>
                <input type="radio" name="type" [(ngModel)]="playerType" [value]="type.value">
                {{type.display}}
            </label>
        </div>
        
    </div>
    <div style="width: 20%;">
        <app-router-panel selectedDestinationIndex="90" destinationDisabled="true"></app-router-panel>
        <app-router-panel selectedDestinationIndex="91" destinationDisabled="true"></app-router-panel>
        <app-router-panel selectedDestinationIndex="92" destinationDisabled="true"></app-router-panel>
        <app-router-panel selectedDestinationIndex="93" destinationDisabled="true"></app-router-panel>
        <app-router-panel selectedDestinationIndex="94" destinationDisabled="true"></app-router-panel>
    </div>
</div>